require("defines")

local ontick=defines.events.ontick

function UpdateSpeeds()
	for _,f in pairs(game.forces) do
		if f.technologies["faster-crafting-5"].researched then
			f.manualcraftingspeedmodifier = 2
		elseif f.technologies["faster-crafting-4"].researched then
			f.manualcraftingspeedmodifier = 1.4
		elseif f.technologies["faster-crafting-3"].researched then
			f.manualcraftingspeedmodifier = 0.9
		elseif f.technologies["faster-crafting-2"].researched then
			f.manualcraftingspeedmodifier = 0.5
		elseif f.technologies["faster-crafting-1"].researched then
			f.manualcraftingspeedmodifier = 0.2
		else
			f.manualcraftingspeedmodifier = 0
		end
		--game.players[1].print(f.name..f.manualcraftingspeedmodifier)
	end
	game.onevent(ontick,nil)
end

game.oninit(UpdateSpeeds)
game.onload(UpdateSpeeds)

function ticked()
	UpdateSpeeds()
end

game.onevent(defines.events.onresearchfinished, function(event)
	game.onevent(ontick, ticked)
end)
